Tuesday, October 13, 2009

Adobe Reader and Acrobat Critical Update

AdobeIcon Adobe has released a Security bulletin addressing 28 vulnerabilities in Adobe Reader and Acrobat. The updates are identified as critical. Details are available in Adobe Security Bulletin apsb09-15.

Should you wish to switch to an alternate PDF reader, there are a number of open source readers available from http://pdfreaders.org/.

Warning: Hat tip from my friend Randy. The Google Toolbar is not required as part of the installation. If you do not want the toolbar, uncheck that option when installing the update.

Affected software versions

  • Adobe Reader 9.1.3 and earlier versions for Windows, Macintosh, and UNIX
  • Adobe Acrobat 9.1.3 and earlier versions for Windows and Macintosh
Adobe Reader Update Locations:

Acrobat Update Locations:

Reference: Adobe Security Bulletin apsb09-15

Remember - "A day without laughter is a day wasted."
May the wind sing to you and the sun rise in your heart...

No comments: